Alipay+ DocsAlipay+ Docs

alipay.ams.transportation.reportEvent

POST /ams/api/v1/transportation/reportEvent

The reportEvent API enables the merchant to report code-scanning events to Alipay+.

  • Bus scenarios: Submit one report when the passenger boards.
  • Metro/Subway scenarios: Submit two reports: one at station entry and one at station exit.


Request parameters

transportationEvents TransportationEvent  REQUIRED

A list of transportation events.

Show child parameters

Response parameters

result ResultInfo  REQUIRED

The result of the business processing, including the result status, result code, and result message.

Show child parameters
API Explorer

Request

Request Body

Response

Response Body

How to handle the result

You might receive different results from Alipay+. Follow the instructions below to handle the result.

result.resultStatus

result.resultCode

Result status

S

SUCCESS

Successful

F

PARAM_ILLEGAL

Failed

U

Multiple possible values exist, such as UNKNOWN_EXCEPTION and SYSTEM_ERROR.

Unknown

No result received

N/A

Unknown

Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess

N/A

PARAM_ILLEGALFIllegal parameters. For example, non-numeric input, invalid date.
  1. Check that all the request parameters, including the header and body parameters, are valid.
  2. Retry the API call.
UNKNOWN_EXCEPTIONUAn API call failed, which is caused by unknown reasons.

Retry the API call.

SYSTEM_ERRORUA system error occurred.

Retry the API call.